import type { MarkOptional } from 'ts-essentials';
import type { GeneratedTypes } from '../../../';
import type { PayloadRequest, RequestContext } from '../../../express/types';
import type { Payload } from '../../../payload';
import type { Document } from '../../../types';
import type { File } from '../../../uploads/types';
export type Options<TSlug extends keyof GeneratedTypes['collections']> = {
    collection: TSlug;
    /**
     * context, which will then be passed to req.context, which can be read by hooks
     */
    context?: RequestContext;
    data: MarkOptional<GeneratedTypes['collections'][TSlug], 'createdAt' | 'id' | 'sizes' | 'updatedAt'>;
    depth?: number;
    disableVerificationEmail?: boolean;
    draft?: boolean;
    fallbackLocale?: string;
    file?: File;
    filePath?: string;
    locale?: string;
    overrideAccess?: boolean;
    overwriteExistingFiles?: boolean;
    req?: PayloadRequest;
    showHiddenFields?: boolean;
    user?: Document;
};
export default function createLocal<TSlug extends keyof GeneratedTypes['collections']>(payload: Payload, options: Options<TSlug>): Promise<GeneratedTypes['collections'][TSlug]>;
//# sourceMappingURL=create.d.ts.map